Subject: bug#25710: Acknowledgement (25.1.91; vc-retrieve-tag does not offer branch namd completion)

From: Tom Tromey <[email-masked]>
Date: Tue, 14 Feb 2017 21:35:33 -0700

>>>>> "Dmitry" == Dmitry Gutov <[email-masked]> writes:

>> Another idea would be to add a defcustom for this.

Dmitry> I don't imagine having tags in there would really hurt, even if we
Dmitry> don't pick them. IME tags usually follow a particular naming
Dmitry> convention, so they won't interfere with completion.

Emacs itself has 144 tags, while I have about 16 branches.
So for me at least, for this project, that's 90% clutter and 10% things
I might actually want to complete.

For my gdb checkout I have 32 branches and there are 636 tags, so the
ratio is even worse there -- about 5% useful things.

Tom